# Intel® Manager for Lustre* software
# **Software Contributor Documentation**

[**Help Docs Table of Contents**](../../README.md)

## Table of Contents
---

![gears](md_Graphics/gears_sm.jpg)

1. [Introduction](cd_Introduction.md)

1. [IML Screen Shots](cd_Screen_Shots.md)

1. [IML Distributed Architecture](cd_Distributed_Architecture.md)

1. [IML Contributor Workflow](cd_Contributor_Workflow.md)

1. [Building IML](cd_Building_IML.md)

1. [How to Contribute to the **Frontend**](cd_Contribute_To_Frontend.md)

1. [How to Contribute To the **Backend**](cd_Contribute_To_Backend.md)

1. [How to Create **Frontend** Unit Tests](cd_Create_Frontend_Unit_Tests.md)

1. [Create a Cluster of Virtual Machines with Vagrant](https://github.com/intel-hpdd/Vagrantfiles/blob/master/README.md)

1. [Install IML on a Vagrant Virtual Cluster](cd_Installing_IML_On_Vagrant.md)

1. [How to Uninstall IML](cd_UnInstall_IML.md)

1. [Running SSI Tests](cd_Running_SSI_Tests.md)

1.  [Create a Sample Storage plugin](https://github.com/intel-hpdd/sample-storage-plugin
)

1. [IML Lustre Target Sequence Diagrams](cd_Lustre_Target_Sequence_Diagrams.md)

1. [Managing Import Export Sequences of zpools within ZFS HA](cd_Managing_Import_Export_Sequences_Of_Zpools_Within_Zfs_HA.md)

1. [Create a Monitored only ZFS Filesystem on a Vagrant virtual cluster](cd_Monitored_Only_ZFS.md)

1. [Creating a Managed Lustre ZFS Filesystem on a Vagrant virtual cluster](cd_Managed_ZFS.md)

1. [How to create offline repos for IML 4.0.0](cd_Create_Offline_Repos.md)

---
## Resources

1. [Things to Learn](cd_Things_To_Learn.md)

1. [Git Reference](cd_Git_Reference.md)

1. [NPM and Yarn](cd_NPM_And_Yarn.md)

